package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.MsgAccount;
import com.sa.ibiz.demo.demo.service.dto.MsgAccountSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[MsgAccount] 服务对象接口
 */
public interface MsgAccountService extends IService<MsgAccount>{

	boolean getDraft(MsgAccount et);
	boolean checkKey(MsgAccount et);
	boolean remove(MsgAccount et);
	boolean update(MsgAccount et);
		MsgAccount get(MsgAccount et);
	boolean create(MsgAccount et);
    List<MsgAccount> listDefault(MsgAccountSearchFilter filter) ;
	Page<MsgAccount> searchDefault(MsgAccountSearchFilter filter);
	/**	 实体[MsgAccount] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }